/* COPYRIGHT LIAN SOH 2024 */

body {
    font-family: Segoe, "Segoe UI", "DejaVu Sans", "Trebuchet MS", Verdana, sans-serif;
    font-style: normal;
    font-weight: normal;
    color: #1a2d44;
    font-size: 0,8em;
	 overflow-y: scroll;
}

table {
  padding: 0px;
}

table img {
  max-width: 95%; /* Adjust the width as needed */
  height: auto; /* Maintain aspect ratio */
}



p{
	font-size: 1.6vw;
}

h2{
	font-size: 2.5vw;
}

h2{
	font-size: 2.0vw;
}

#footerText{
	font-size: 1.5vw; /* Adjust font size proportionately */
	text-align: center;
}

#topWrapper {
    max-width: 100%;
    padding: 10px;
}

#topWrapperInnerLeft {
    float: left;
    margin-left: 0px;
}

#topWrapperInnerRight {
    margin-top: 0px;
    margin-right: 0px;
    float: right;
}
/* A4 Landscape Page-like Container */
.a4ContainerLandscape{
   height: 65vw; /* Width scaled to 80% of the viewport width */
    width: calc(65vw * 1.414); /* Height scaled proportionately to maintain the A4 aspect ratio */
    margin: 40mm auto;
	margin-top: 50mm;
    background: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    padding: 20mm;
    padding-top: 7mm;
	padding-bottom: 10mm;
    box-sizing: border-box;
    overflow: hidden;
    transform-origin: top left;
    font-size: 1.4vw; /* Adjust font size proportionately */
}


/* A4 Portrait Page-like Container */
.a4Container{
   width: 65vw; /* Width scaled to 80% of the viewport width */
    height: calc(65vw * 1.414); /* Height scaled proportionately to maintain the A4 aspect ratio */
    margin: 40mm auto;
	margin-bottom: -40mm;
    background: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    padding: 20mm;
    padding-top: 7mm;
	padding-bottom: 10mm;
    box-sizing: border-box;
    overflow: hidden;
    transform-origin: top left;
    font-size: 1.4vw; /* Adjust font size proportionately */
}


.a4-content {
    width: 100%;
    height: 100%;
}

.a4-content img {
    max-width: 100%;
    max-height: calc(0.1 * 80vw * 1.414);
    transform: scale(1.4vw); /* Scale images proportionally */
    display: block;
    margin-left: auto;
    margin-right: auto;
}



@media screen and (max-width: 768px) {
    #a4Container {
        width: 95%;
        height: calc(90vw * 1.414);
        transform: scale(0.75);
    }

    .a4-content {
        font-size: 1.4vw;
		
    }
}

@media screen and (min-width: 769px) {
     #a4Container {
        width: 95%;
         height: calc(90vw * 1.414);
        transform: scale(0.75);
    }

    .a4-content {
        font-size: 1.4vw;
		
    }
}

@media print {
    body * {
        visibility: hidden;
    }

    #a4Container, #a4Container * {
        visibility: visible;
    }

    #a4Container {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        min-height: 297mm;
        box-shadow: none;
        margin: 0;
        padding: 0;
        transform: none;
    }

    .a4-page {
        margin: 0;
        padding: 20mm;
        box-sizing: border-box;
        page-break-after: always;
        box-shadow: none;
    }
}

.a4-page {
    margin-bottom: 20mm;
    box-sizing: border-box;
    page-break-after: always;
}





/* Navigation Buttons at the Top */

#ldButton, #shButton, #poButton, #prButton, #enButton {
    padding-right: 10px;
    padding-left: 10px;
    font-size: 2em;
}

#about {
    padding-right: 10px;
    padding-left: 10px;
	font-size: 2em;
}

/* used for ?, ^ and X button --> */
#excIndex {
    padding-right: 10px;
    padding-left: 10px;
	font-size: 2em;
}

/* background image centering and scaling */

#bg {
    position: fixed;
    top: -50%;
    left: -50%;
    width: 200%;
    height: 200%;
    z-index: -1;
}

#bg img {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    min-width: 50%;
    min-height: 50%;
    z-index: -1;
}

/* ABOUT */
#aboutWrapper {
    width: 70%;
    margin-left: 15%;
    text-align: left;
}

#aboutTitle {
    font-size: 2.5vw;
    color: #E0A02B;
    margin-top: 8%;
    margin-bottom: 0;
}

#aboutText {
    max-width: 100%;
    font-size: 1.6vw;
    color: #E0A02B;
    margin-top: 0;
    padding: 0;
}

#bodyTextAbout {
    margin-top: 1%;
	font-size: 1.6vw;
    color: #1a2d44;
}

#aboutTitle2 {
    font-size: 2.5vw;
    color: #E0A02B;
    margin-top: 8%;
    margin-bottom: 0;
	text-align: center;
}

#aboutText2 {
    max-width: 100%;
    font-size: 1.6vw;
    color: #E0A02B;
    margin-top: 0;
    padding: 0;
	text-align: center;
}

/* link treatment */

a:link {
    text-decoration: none;
    color: #1a2d44;
}

a:visited {
    text-decoration: none;
    color: #1a2d44;
}

a:hover {
    text-decoration: none;
    color: #d18719;
}

a:active {
    text-decoration: none;
    color: #1a2d44;
}

img {
    max-width: 100%;
    height: auto;
    display: block;
}
